<mamecheat version="1">

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@A3B46=59</action>
    </script>
  </cheat>

  <cheat desc="Invincibility"> <comment>See the Dip Switch Menu to enable an alternate Invincibility cheat.</comment>
    <script state="run">
      <action>maincpu.pb@A2311=40</action>
    </script>
  </cheat>

  <cheat desc="Infinite Main Weapon Ammo">
    <script state="run">
      <action>maincpu.pb@A2382=FF</action>
    </script>
  </cheat>

  <cheat desc="Infinite Sub Weapon Ammo">
    <script state="run">
      <action>maincpu.pb@A2384=FF</action>
    </script>
  </cheat>

  <cheat desc="Select Main Weapon">
    <parameter>
      <item value="0x00">Energy Shot</item>
      <item value="0x01">Energy Wave</item>
      <item value="0x02">Fire Wave</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@A2386=param</action>
    </script>
  </cheat>

  <cheat desc="Select Sub Weapon">
    <parameter>
      <item value="0x00">Bomb</item>
      <item value="0x01">Hyper Bomb</item>
      <item value="0x02">Missile</item>
      <item value="0x03">Hyper Missile 2</item>
      <item value="0x04">Homing Fire</item>
      <item value="0x05">Hyper Homing Fire</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@A2387=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@A3AE4=0A</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@A3AE5=0A</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
